<div class="row d-flex justify-content-center">
    <form [formGroup]="vehicle" onsubmit="event.preventDefault()" >
      <div class="row justify-content-between text-left">
        <div class="form-group col-sm-6 flex-column d-flex">
          <label class="form-control-label px-3"
            >Vehicle ID<span class="text-danger"> *</span></label
          >
          <input
            type="text"
            id="vehicleId"
            placeholder="Enter Vehicle ID"
            formControlName="vehicleId"
          />
        </div>
  
        <div class="form-group col-sm-6 flex-column d-flex">
          <label class="form-control-label px-3"
            >Vehicle Name<span class="text-danger"> *</span></label
          >
          <input
            type="text"
            id="vehicleName"
            placeholder="Enter Vehicle Name"
           
            formControlName="vehicleName"
          />
        </div>
  
        <div class="form-group col-sm-6 flex-column d-flex">
          <label class="form-control-label px-3"
            >Model Name<span class="text-danger"> *</span></label
          >
          <input
            type="text"
            id="model"
            placeholder="Enter Model Name"
           
            formControlName="model"
          />
        </div>
  
        <div class="form-group col-sm-6 flex-column d-flex">
          <label class="form-control-label px-3"
            >Make Year<span class="text-danger"> *</span></label
          >
          <input
            type="text"
            id="makeYear"
            placeholder="Enter Year of Make"
           
            formControlName="makeYear"
          />
        </div>
        <div class="container "  formArrayName="variants" >
          <h4> Variants  
            <span (click)="addVariant()" class="badge bg-success">Add NEW</span>
          </h4>
          <div class="row form-group col-sm-12 flex-column d-flex" *ngFor="let variant of getVariants(vehicle); let i = index">
           <h5> {{i+1}} <span  (click)="removeVariant(i)" class="badge bg-danger">
             <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-trash3-fill" viewBox="0 0 16 16">
            <path fill-rule="evenodd" d="M6 1.5a.5.5 0 0 1 .5-.5h3a.5.5 0 0 1 .5.5v1H6v-1Zm5 0v1h3.5a.5.5 0 0 1 0 1h-.538l-.853 10.66A2 2 0 0 1 11.115 16h-6.23a2 2 0 0 1-1.994-1.84L2.038 3.5H1.5a.5.5 0 0 1 0-1H5v-1A1.5 1.5 0 0 1 6.5 0h3A1.5 1.5 0 0 1 11 1.5ZM4.5 5.029a.5.5 0 1 1 .998-.06l.5 8.5a.5.5 0 0 1-.998.06l-.5-8.5Zm6.53-.528a.5.5 0 0 1 .47.528l-.5 8.5a.5.5 0 1 1-.998-.058l.5-8.5a.5.5 0 0 1 .528-.47ZM8 4.5a.5.5 0 0 1 .5.5v8.5a.5.5 0 0 1-1 0V5a.5.5 0 0 1 .5-.5Z"/>
          </svg></span></h5>
            <!-- <button
              (click)="removeVariant(i)"
              class="btn-danger"
            >
            
            </button> -->
  
            <div class="row border alert alert-primary" [formGroupName]="i" style="margin: 5px;">
              <div class="form-group col-sm-6 flex-column d-flex">
                <label class="form-control-label px-3"
                  >Variant ID<span class="text-danger"> *</span></label
                >
                <input
                  type="text"
                  id="variantId"
                  placeholder="Enter Variant ID"
                 
                  formControlName="variantId"
                />
              </div>
  
              <div class="form-group col-sm-6 flex-column d-flex">
                <label class="form-control-label px-3"
                  >Variant Name<span class="text-danger"> *</span></label
                >
                <input
                  type="text"
                  id="variantName"
                  placeholder="Enter Variant Name"
                 
                  formControlName="variantName"
                />
              </div>
  
              <div class="form-group col-sm-6 flex-column d-flex">
                <label class="form-control-label px-3">
                  Fuel Type<span class="text-danger"> *</span></label
                >
                <input
                  type="text"
                  id="fuelType"
                  placeholder="Enter Fuel Type"
                 
                  formControlName="fuelType"
                />
              </div>
  
              <div class="form-group col-sm-6 flex-column d-flex">
                <label class="form-control-label px-3">
                  Engine Model<span class="text-danger"> *</span></label
                >
                <input
                  type="text"
                  id="engineModel"
                  placeholder="Enter Engine Type"
                 
                  formControlName="engineModel"
                />
              </div>
              <div class="form-group col-sm-6 flex-column ">
                <label class="form-control-label px-3">
                  Transmission<span class="text-danger"> *</span></label
                >
                <input
                  type="text"
                  id="transmission"
                  placeholder="Enter Transmission"
                  formControlName="transmission"
                />
              </div>
  
              
  
              <div  formArrayName="colors" class="container border alert alert-secondary">
              <h4> Colors 
              <span  (click)="addColor(i)" class="badge bg-success">Add NEW</span>
            </h4>
                <div  class="row g-3  " 
                  [formGroupName]="j"
                  *ngFor="let question of getColors(variant); let j = index"
                >
                  <div class="col-sm-3 ">
                    
                    <input
                      type="text"
                      id="colorCode"
                      placeholder="Color Code"
                     
                      formControlName="colorCode"
                    />
                  </div>
                  <div class="col-sm-3">
                   
                    <input
                      type="text"
                      id="colorName"
                      placeholder="Color Name"
                     
                      formControlName="colorName"
                    />
                  </div>
                  <div class="col-sm-3">
                    
                    <input
                      type="text"
                      id="stock"
                      placeholder="stock available"
                      formControlName="stock"
                    />
                  </div>
                  <div class="col-sm-3">
                    <button
                    (click)="removeColor(i,j)"
                    class="btn-danger"
                  >
                  <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-trash3-fill" viewBox="0 0 16 16">
                    <path fill-rule="evenodd" d="M6 1.5a.5.5 0 0 1 .5-.5h3a.5.5 0 0 1 .5.5v1H6v-1Zm5 0v1h3.5a.5.5 0 0 1 0 1h-.538l-.853 10.66A2 2 0 0 1 11.115 16h-6.23a2 2 0 0 1-1.994-1.84L2.038 3.5H1.5a.5.5 0 0 1 0-1H5v-1A1.5 1.5 0 0 1 6.5 0h3A1.5 1.5 0 0 1 11 1.5ZM4.5 5.029a.5.5 0 1 1 .998-.06l.5 8.5a.5.5 0 0 1-.998.06l-.5-8.5Zm6.53-.528a.5.5 0 0 1 .47.528l-.5 8.5a.5.5 0 1 1-.998-.058l.5-8.5a.5.5 0 0 1 .528-.47ZM8 4.5a.5.5 0 0 1 .5.5v8.5a.5.5 0 0 1-1 0V5a.5.5 0 0 1 .5-.5Z"/>
                  </svg>
                  </button>
                  </div>
                
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="row justify-content-end">
        <div class="form-group ">
            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
          <button type="submit" class="btn btn-primary" (click)="addNewVehicleSubmit()"  data-bs-dismiss="modal">Add New Vehicle</button>
          
        </div>
      </div>
    </form>
  </div>
  